## ros-humble-rqt-bag 1.1.4

=== debian/changelog ===
ros-humble-rqt-bag (1.1.4-1jammy) jammy; urgency=high

  * [Humble] Ensure data types match what PyQt expects (backport #118 <https://github.com/ros-visualization/rqt_bag/issues/118>) (#125 <https://github.com/ros-visualization/rqt_bag/issues/125>)
  * Fix toggle thumbnails button (#117 <https://github.com/ros-visualization/rqt_bag/issues/117>) (#124 <https://github.com/ros-visualization/rqt_bag/issues/124>)
  * [Fixes] Fix crash when no qos metadata, make scroll bar appear if needed, add gitignore (#113 <https://github.com/ros-visualization/rqt_bag/issues/113>) (#120 <https://github.com/ros-visualization/rqt_bag/issues/120>)
  * Contributors: mergify[bot]

 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 07 Nov 2022 06:00:00 -0000

ros-humble-rqt-bag (1.1.3-1jammy) jammy; urgency=high

  * Fix the types being passed into QFont and QColor. (#109 <https://github.com/ros-visualization/rqt_bag/issues/109>)
  * Contributors: Chris Lalancette

 -- Mabel Zhang <mabel@openrobotics.org>  Tue, 10 May 2022 05:00:00 -0000

ros-humble-rqt-bag (1.1.2-1jammy) jammy; urgency=high

  * Fix: rqt-bag fails to open bag specified on command-line (#106 <https://github.com/ros-visualization/rqt_bag/issues/106>)
  * Contributors: Michael Jeronimo

 -- Mabel Zhang <mabel@openrobotics.org>  Sun, 06 Feb 2022 06:00:00 -0000

ros-humble-rqt-bag (1.1.1-1jammy) jammy; urgency=high

  * Remove an invalid import statement (#101 <https://github.com/ros-visualization/rqt_bag/issues/101>)
  * Contributors: Michael Jeronimo

 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 12 Apr 2021 05:00:00 -0000

ros-humble-rqt-bag (1.1.0-1jammy) jammy; urgency=high

  * Reset timeline zoom after loading a new bag. (#98 <https://github.com/ros-visualization/rqt_bag/issues/98>)
  * Refactor the Rosbag2 class (#91 <https://github.com/ros-visualization/rqt_bag/issues/91>)
  * Contributors: Michael Grupp, Michael Jeronimo

 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 18 Mar 2021 05:00:00 -0000

ros-humble-rqt-bag (1.0.0-1jammy) jammy; urgency=high

  * Fix exec_depend (#89 <https://github.com/ros-visualization/rqt_bag/issues/89>)
  * Use updated HistoryPolicy values to avoid deprecation warnings (#88 <https://github.com/ros-visualization/rqt_bag/issues/88>)
  * Enable recording for ROS2 (#87 <https://github.com/ros-visualization/rqt_bag/issues/87>)
  * Enable the playback functionality for ROS2 (#85 <https://github.com/ros-visualization/rqt_bag/issues/85>)
  * Port the topic and node selection dialogs to ROS2 (#86 <https://github.com/ros-visualization/rqt_bag/issues/86>)
  * Save the serialization format and offered_qos_profiles when exporting (#84 <https://github.com/ros-visualization/rqt_bag/issues/84>)
  * Enable the export/save bag functionality for ROS2 (#82 <https://github.com/ros-visualization/rqt_bag/issues/82>)
  * Update known message types and associated colors (#81 <https://github.com/ros-visualization/rqt_bag/issues/81>)
  * Open the bag directory instead of a single file (#80 <https://github.com/ros-visualization/rqt_bag/issues/80>)
  * Port the image_view plugin to ROS2 (#78 <https://github.com/ros-visualization/rqt_bag/issues/78>)
  * Clean up widgets in plot_view layout correctly (#69 <https://github.com/ros-visualization/rqt_bag/issues/69>) (#77 <https://github.com/ros-visualization/rqt_bag/issues/77>)
  * Fix tuples for bisect calls (#67 <https://github.com/ros-visualization/rqt_bag/issues/67>) (#76 <https://github.com/ros-visualization/rqt_bag/issues/76>)
  * Fix issue: no vertical scroll bar until window is resized (#63 <https://github.com/ros-visualization/rqt_bag/issues/63>) (#75 <https://github.com/ros-visualization/rqt_bag/issues/75>)
  * Update the basic plugins for ROS2 (#72 <https://github.com/ros-visualization/rqt_bag/issues/72>)
  * Update the rosbag2 python module (#71 <https://github.com/ros-visualization/rqt_bag/issues/71>)
  * Dynamically resize the timeline when recording (#66 <https://github.com/ros-visualization/rqt_bag/issues/66>)
  * Starting point for resuming the ROS2 port (#70 <https://github.com/ros-visualization/rqt_bag/issues/70>)
  * Fix a bug with the status line progress bar (#62 <https://github.com/ros-visualization/rqt_bag/issues/62>)
  * Update a few minor status bar-related items (#61 <https://github.com/ros-visualization/rqt_bag/issues/61>)
  * Make the tree controls in the Raw View and Plot View consistent (#57 <https://github.com/ros-visualization/rqt_bag/issues/57>)
  * Update the package.xml files with the latest Open Robotics maintainers (#58 <https://github.com/ros-visualization/rqt_bag/issues/58>)
  * Contributors: Chris Lalancette, Michael Jeronimo

 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 19 Nov 2020 06:00:00 -0000

ros-humble-rqt-bag (0.4.15-1jammy) jammy; urgency=high

  * fix Python 3 issue: long/int (#52 <https://github.com/ros-visualization/rqt_bag/issues/52>)

 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 21 Aug 2020 05:00:00 -0000

ros-humble-rqt-bag (0.4.14-1jammy) jammy; urgency=high

  * save last directory opened to load a bag file (#40 <https://github.com/ros-visualization/rqt_bag/issues/40>)
  * fix shebang line for Python 3 (#48 <https://github.com/ros-visualization/rqt_bag/issues/48>)
  * bump CMake minimum version to avoid CMP0048 warning

 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 07 Aug 2020 05:00:00 -0000

ros-humble-rqt-bag (0.4.13-1jammy) jammy; urgency=high

  * fix Python 3 exception, wrap filter call in list() (#46 <https://github.com/ros-visualization/rqt_bag/issues/46>)
  * add Python 3 conditional dependencies (#44 <https://github.com/ros-visualization/rqt_bag/issues/44>)
  * autopep8 (#30 <https://github.com/ros-visualization/rqt_bag/issues/30>)

 -- Mabel Zhang <mabel@openrobotics.org>  Tue, 17 Mar 2020 05:00:00 -0000

ros-humble-rqt-bag (0.4.12-1jammy) jammy; urgency=high

  * add support for opening multiple bag files at once (#25 <https://github.com/ros-visualization/rqt_bag/issues/25>)

