=== debian/control ===
Source: ros-humble-rqt-bag
Section: misc
Priority: optional
Maintainer: Mabel Zhang <mabel@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ros-workspace, python3-all, python3-setuptools, dh-python
Homepage: http://wiki.ros.org/rqt_bag
Standards-Version: 3.9.2

Package: ros-humble-rqt-bag
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, ros-humble-python-qt-binding (>= 0.2.19), ros-humble-rclpy, ros-humble-rosbag2-py, ros-humble-rqt-gui (>= 0.2.12), ros-humble-rqt-gui-py, ros-humble-ros-workspace
Description: rqt_bag provides a GUI plugin for displaying and replaying ROS bag files.
